/*
Utility.h					Copyright 2005 George A. Nelson
							Permission for use granted provided
							this notice remains intact.

By:  Tony Nelson  on   1 Mar 05

Description:  Useful utility routines.  Uses Richter's CmnHdr.h, depends on
	hInst.

*/

extern HINSTANCE hInst;

void			DisableMenuItems( HMENU hmenu );
VOID			GetChildRect( HWND hwndChild, HWND hwndParent, LPRECT prc );
int				RandInt( int size );
void			ErrorMsgBox( HWND hwnd, LONG err, UINT msgIDS, UINT ttlIDS );
void			CheckErrorMsgBox( HWND hwnd, LONG err, UINT msgIDS, UINT ttlIDS );
int				FindInStr( TCHAR *str, TCHAR *find );
void			CenterWindow( HWND hwnd );
void			CenterWindow( HWND hwnd, HWND onWind );
void			CenterWindow( HWND hwnd, RECT & onRect );